Skip to main content

List Job Executions

GET 

/projects/:projectId/providers/Aruba.Schedule/jobs/:jobId/executions

List Job Executions

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

    jobId stringrequired

    unique identifier of the Job Schedule

Query Parameters

    filter string
    sort string
    projection string
    offset int32
    limit int32
    api-version string

    The requested API version

    Default value: 1

Responses

OK

Schema

    total int64
    self stringnullable
    prev stringnullable
    next stringnullable
    first stringnullable
    last stringnullable

    values

    object[]

  • Array [

  • metadata

    object

    id stringnullable
    uri stringnullable
    name stringnullable

    project

    object

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    name stringnullable
    provider stringnullable

    typology

    object

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable
    managedBy stringnullable

    status

    object

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    reason stringnullable
    message stringnullable

    properties

    object

    enabled boolean
    scheduleJobType TypeScheduleJob (string)

    Possible values: [OneShot, Recurring]

    scheduleAt date-timenullable
    executeUntil date-timenullable
    cron stringnullable
    recurrency RecurrenceType (string)

    Possible values: [Hourly, Daily, Weekly, Monthly, Custom]

    steps

    object[]

    nullable

  • Array [

  • name stringnullable
    resourceUri stringnullable
    actionUri stringnullable
    actionName stringnullable
    typology stringnullable
    typologyName stringnullable
    httpVerb stringnullable
    body stringnullable
  • ]

  • nextExecution date-timenullable
    deactiveReason DeactiveReasonDto (string)

    Possible values: [None, Manual, ResourceDeleted]

  • ]

Loading...